/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.cache.test.local;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import org.jboss.cache.TreeCache;
import org.jboss.cache.Fqn;
import org.jboss.cache.lock.IsolationLevel;
import org.jboss.cache.transaction.DummyTransactionManager;
import org.jboss.logging.Logger;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.transaction.UserTransaction;
import java.util.Properties;

/**
 * Checks CRUD methods
 *
 * @author Bela Ban
 * @version $Id: CrudMethodUnitTestCase.java,v 1.1.2.4 2005/12/01 19:50:26 dimitris Exp $
 */
public class CrudMethodUnitTestCase extends TestCase {


   public CrudMethodUnitTestCase(String name) {
      super(name);
   }

   public void testCrudMethods() {
      assertTrue(TreeCache.isCrudMethod(TreeCache.putDataEraseMethodLocal));
      assertTrue(TreeCache.isCrudMethod(TreeCache.putDataMethodLocal));
      assertTrue(TreeCache.isCrudMethod(TreeCache.putKeyValMethodLocal));
      assertTrue(TreeCache.isCrudMethod(TreeCache.removeDataMethodLocal));
      assertTrue(TreeCache.isCrudMethod(TreeCache.removeKeyMethodLocal));
      assertTrue(TreeCache.isCrudMethod(TreeCache.removeNodeMethodLocal));

      assertFalse(TreeCache.isCrudMethod(TreeCache.getKeyValueMethodLocal));
      assertFalse(TreeCache.isCrudMethod(TreeCache.getNodeMethodLocal));
      assertFalse(TreeCache.isCrudMethod(TreeCache.getKeysMethodLocal));
      assertFalse(TreeCache.isCrudMethod(TreeCache.getChildrenNamesMethodLocal));
   }



   public static Test suite() throws Exception {
      return new TestSuite(CrudMethodUnitTestCase.class);
   }

   public static void main(String[] args) throws Exception {
      junit.textui.TestRunner.run(suite());
   }


}
